[arch-commits] Commit in libextractor/trunk (PKGBUILD libextractor.install)

Eric Bélanger eric at archlinux.org
Fri May 1 03:11:42 EDT 2009


    Date: Friday, May 1, 2009 @ 03:11:42
  Author: eric
Revision: 37371

upgpkg: libextractor 0.5.22-1
    Upstream update, Added install scriptlet to handle info pages

Added:
  libextractor/trunk/libextractor.install
Modified:
  libextractor/trunk/PKGBUILD

----------------------+
 PKGBUILD             |   18 ++++++++++--------
 libextractor.install |   20 ++++++++++++++++++++
 2 files changed, 30 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-01 06:37:35 UTC (rev 37370)
+++ PKGBUILD	2009-05-01 07:11:42 UTC (rev 37371)
@@ -2,21 +2,23 @@
 # Maintainer: damir <damir at archlinux.org>
 
 pkgname=libextractor
-pkgver=0.5.20
+pkgver=0.5.22
 pkgrel=1
 pkgdesc="libextractor is a library used to extract meta-data from files of arbitrary type"
 arch=("i686" "x86_64")
 license=('GPL')
-# url="http://ovmj.org/libextractor/"
 url="http://gnunet.org/libextractor/"
-depends=('gcc-libs>=4.1' 'glib2' 'bzip2' 'zlib' 'libvorbis' 'libtool>=2.2' 'gtk2' 'libgsf' 'libmpeg2' 'libxml2')
+depends=('gcc-libs>=4.1' 'glib2' 'bzip2' 'zlib' 'libvorbis' 'libtool>=2.2' 'gtk2' 'libgsf' 'libmpeg2' 'libxml2' 'texinfo')
 options=('!libtool' '!makeflags')
-source=("$url/download/${pkgname}-${pkgver}.tar.gz")
-md5sums=('b71833f1c1b8299b01df2d7669600030')
+install=libextractor.install
+source=(http://gnunet.org/libextractor/download/${pkgname}-${pkgver}.tar.gz)
+md5sums=('f6d6ea1264a471189eee99728b983c4e')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --enable-shared --disable-static
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --enable-shared --disable-static || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=${pkgdir} install || return 1
+  rm ${pkgdir}/usr/share/info/dir
+  gzip ${pkgdir}/usr/share/info/extractor.info
 }

Added: libextractor.install
===================================================================
--- libextractor.install	                        (rev 0)
+++ libextractor.install	2009-05-01 07:11:42 UTC (rev 37371)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(extractor.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list